Skip to main content
`Ctrl`+`K`
scipy.special.

# riccati_jn

scipy.special.riccati_jn(n, x)

  Compute Ricatti-Bessel function of the first kind and its derivative.

  The Ricatti-Bessel function of the first kind is defined as \(x j_n(x)\), where \(j_n\) is the spherical Bessel function of the first kind of order \(n\).

  This function computes the value and first derivative of the Ricatti-Bessel function for all orders up to and including n.

  Parameters:
    n int

      Maximum order of function to compute

    x float

      Argument at which to evaluate

  Returns:
    jn ndarray

      Value of j0(x), …, jn(x)

    jnp ndarray

      First derivative j0’(x), …, jn’(x)

  Notes

  The computation is carried out via backward recurrence, using the relation DLMF 10.51.1 [2].

  Wrapper for a Fortran routine created by Shanjie Zhang and Jianming Jin [1].

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html

  [2]

  NIST Digital Library of Mathematical Functions. https://dlmf.nist.gov/10.51.E1